Bug 1124430 - [RFE] katello-installer should include --capsule-tftp true by default.
Summary: [RFE] katello-installer should include --capsule-tftp true by default.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
medium
high vote
Target Milestone: Unspecified
Assignee: Chris Roberts
QA Contact: Sanket Jagtap
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1333067
TreeView+ depends on / blocked
 
Reported: 2014-07-29 13:16 UTC by Rich Jerrido
Modified: 2019-04-01 20:27 UTC (History)
9 users (show)

Fixed In Version: satellite-installer-6.3.0.11-1.beta,satellite-installer-6.3.0.11-2
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 13546 None None None 2016-04-22 15:38:59 UTC

Description Rich Jerrido 2014-07-29 13:16:02 UTC
With the out-of-box configuration of Satellite 6 (`katello-installer` with no options), the only method available for the end user to provision a new system is via foreman_bootdisk. This RFE requests setting '--capsule-tftp true' by default , i.e. (when katello-installer is invoked with no options). 

For end users who wish to provision via PXE, this has been an additional step that needed to be done post installation. 

Adding TFTP (by default) will allow:

* The end user to provision using a method other than the bootdisk options
with no further configuration (in the installer)
* An out-of-box experience more similar to Satellite 5.x
* behavior consistent with upstream Foreman, which does ship with TFTP enabled.

Comment 1 RHEL Product and Program Management 2014-07-29 13:34:07 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Stephen Benjamin 2016-07-14 19:41:57 UTC
This is ON_QA and marked for 6.3?

Anyway, it fails on 6.2.  Not sure why it's not working, tftp is default 'true' on the foreman-proxy module.  

A clean install gives me:

[root@sat-snap-rhel7 scenarios.d]# hammer -u admin -p changeme capsule info --id 1
Id:            1
Name:          sat-snap-rhel7.example.com
URL:           https://sat-snap-rhel7.example.com:9090
Features:      
    Pulp
    Puppet
    Puppet CA
    Dynflow
    Openscap
    SSH

Comment 4 Chris Roberts 2016-07-19 16:05:47 UTC
updated PR https://github.com/Katello/katello-installer/pull/377

Comment 6 Ondřej Pražák 2017-08-30 10:10:04 UTC
I think this needs changes in satellite-installer, tftp is not enabled on embedded capsule after a fresh install.

Failed.

6.3.0 snap 13

Comment 7 Chris Roberts 2017-09-15 20:29:09 UTC
Fixed downstream here:

https://gitlab.sat.lab.tlv.redhat.com/satellite6/katello-installer/commit/99ebd90b16733af3710fd28737ff5b57de2c08f0

Works upstream fine, flipping back to on QA.

[root@centos7-katello-nightly ~]# cat /etc/foreman-installer/scenarios.d/katello-answers.yaml | grep tftp
  tftp: true
  tftp_listen_on: https
  tftp_managed: true
  tftp_manage_wget: true
  tftp_syslinux_filenames:
  tftp_root: /var/lib/tftpboot
  tftp_dirs:
  - /var/lib/tftpboot/pxelinux.cfg
  - /var/lib/tftpboot/grub
  - /var/lib/tftpboot/grub2
  - /var/lib/tftpboot/boot
  - /var/lib/tftpboot/ztp.cfg
  - /var/lib/tftpboot/poap.cfg
  tftp_servername:

Comment 11 Sanket Jagtap 2018-01-29 08:11:22 UTC
Build: Satellite 6.3.0 snap 33

[root@ibm-x3650m4-02-vm-02 ~]# satellite-installer --scenario satellite
Installing             Done                                               [100%] [................................................................................................................................]
  Success!
  * Satellite is running at https://sat-host
      Initial credentials are admin / kXG8LMK8fvzL7Bcg

  * To install an additional Capsule on separate machine continue by running:

      capsule-certs-generate --foreman-proxy-fqdn "$CAPSULE" --certs-tar "/root/$CAPSULE-certs.tar"

  * To upgrade an existing 6.2 Capsule to 6.3:
      Please see official documentation for steps and parameters to use when upgrading a 6.2 Capsule to 6.3.

  The full log is at /var/log/foreman-installer/satellite.log
[root@ibm-x3650m4-02-vm-02 ~]# hammer capsule info --id 1
Id:            1
Name:          sat-host
URL:           https://sat-host:9090
Features:      
    Pulp
    TFTP
    Puppet
    Puppet CA
    Logs
    Dynflow
    SSH
    Discovery
    Openscap
Locations:     
    Default Location
Organizations: 
    Default Organization
Created at:    2018/01/29 07:46:14
Updated at:    2018/01/29 07:46:15

[root@ibm-x3650m4-02-vm-02 ~]# satellite-installer --help | grep tftp
    --foreman-plugin-discovery-tftp-root  TFTP root to install image into (current: "/var/lib/tftpboot")
    --foreman-proxy-tftp          Enable TFTP feature (current: true)
    --foreman-proxy-tftp-dirs     Directories to be create in $tftp_root (current: ["/var/lib/tftpboot/pxelinux.cfg", "/var/lib/tftpboot/grub", "/var/lib/tftpboot/grub2", "/var/lib/tftpboot/boot", "/var/lib/tftpboot/ztp.cfg", "/var/lib/tftpboot/poap.cfg"])
    --foreman-proxy-tftp-listen-on  TFTP proxy to listen on https, http, or both (current: "https")
    --foreman-proxy-tftp-manage-wget  If enabled will install the wget package (current: true)
    --foreman-proxy-tftp-managed  TFTP is managed by Foreman proxy (current: true)
    --foreman-proxy-tftp-root     TFTP root directory (current: "/var/lib/tftpboot")
    --foreman-proxy-tftp-servername  Defines the TFTP Servername to use, overrides the name in the subnet declaration (current: UNDEF)
    --foreman-proxy-tftp-syslinux-filenames  Syslinux files to install on TFTP (full paths) (current: ["/usr/share/syslinux/chain.c32", "/usr/share/syslinux/mboot.c32", "/usr/share/syslinux/menu.c32", "/usr/share/syslinux/memdisk", "/usr/share/syslinux/pxelinux.0"])
    --foreman-proxy-plugin-discovery-tftp-root  tftp root to install image into (current: "/var/lib/tftpboot")

Comment 12 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.